-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/ascendancetimer/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Ascendance cooldown completed after: "] = "Ascendance cooldown completed after: "
Ld["Damage reduction"] = "Damage reduction"
Ld["disabled"] = "disabled"
Ld["enabled"] = "enabled"
Ld["Heal"] = "Heal"
Ld["Left Click"] = "Left Click"
Ld["Middle Click"] = "Middle Click"
Ld["Off cooldown"] = "Off cooldown"
Ld["On cooldown"] = "On cooldown"
Ld["Overheal"] = "Overheal"
Ld["Overload"] = "Overload"
Ld["Procs"] = "Procs"
Ld["Right Click"] = "Right Click"
Ld["Ticks"] = "Ticks"
Ld["to toggle cooldown stats"] = "to toggle cooldown stats"
Ld["to toggle debugging"] = "to toggle debugging"
Ld["to toggle glyph stats"] = "to toggle glyph stats"
Ld["Uptime"] = "Uptime"


if locale == "frFR" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "deDE" then do end
La["Ascendance cooldown completed after: "] = "Abklingzeit von Aszendenz ist abgeschlossen nach:"
La["Damage reduction"] = "Schadensreduktion"
La["disabled"] = "deaktiviert"
La["enabled"] = "aktiviert"
La["Heal"] = "Heilung"
La["Left Click"] = "Linksklick"
La["Middle Click"] = "Mittelklick"
La["Off cooldown"] = "Ohne Abklingzeit"
La["On cooldown"] = "Auf Abklingzeit"
La["Overheal"] = "Überheilung"
La["Overload"] = "Überladung"
-- La["Procs"] = ""
La["Right Click"] = "Rechtsklick"
-- La["Ticks"] = ""
La["to toggle cooldown stats"] = "Um Abklingzeit-Statistiken ein-/auszuschalten"
La["to toggle debugging"] = "Um Debugging ein-/auszuschalten"
La["to toggle glyph stats"] = "Um Glyphen-Statistiken ein-/auszuschalten"
La["Uptime"] = "Betriebszeit"

elseif locale == "koKR" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "esMX" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "ruRU" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "zhCN" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "esES" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "zhTW" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "ptBR" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

elseif locale == "itIT" then do end
-- La["Ascendance cooldown completed after: "] = ""
-- La["Damage reduction"] = ""
-- La["disabled"] = ""
-- La["enabled"] = ""
-- La["Heal"] = ""
-- La["Left Click"] = ""
-- La["Middle Click"] = ""
-- La["Off cooldown"] = ""
-- La["On cooldown"] = ""
-- La["Overheal"] = ""
-- La["Overload"] = ""
-- La["Procs"] = ""
-- La["Right Click"] = ""
-- La["Ticks"] = ""
-- La["to toggle cooldown stats"] = ""
-- La["to toggle debugging"] = ""
-- La["to toggle glyph stats"] = ""
-- La["Uptime"] = ""

end
